<!DOCTYPE html>
<html>
    <header>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
        <link rel="stylesheet" href="students.css">
        <title>Students</title>
    </header>
    <body>
        <nav class="navbar navbar-expand-md bg-body-secondary fixed-top">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">CMS</a>
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item px-2">
                        <div class="dropdown">
                            <div class="dropbtn">
                                <i class="bi bi-bell navbar-icon" ondblclick="launchAnimation()"></i>
                                <div id="bell-indicator"></div>
                            </div>
                            <div class="dropdown-content" style="width: 260px;">
                                <br>
                                <div style="float: left">
                                    <i class="bi bi-person-circle messages-icon"></i>
                                    <br>
                                    Admin
                                </div>
                                <div class="rounded-rectangle" style="float: right">
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="nav-item px-2">
                        <div class="dropdown">
                            <div class="dropbtn">
                               <i class="bi bi-person navbar-icon"></i>
                                John Smith
                            </div>
                            <div class="dropdown-content" style="width: 150px;">
                                <a href="#">Profile</a>
                                <a href="#">Log out</a>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
        <div class="sidebar bg-body-secondary">
            <a href="#"><i class="bi bi-speedometer2 navbar-icon"></i> Dashboard</a>
            <a href="#"><i class="bi bi-table navbar-icon"></i> Students</a>
            <a href="#"><i class="bi bi-list-task navbar-icon"></i> Tasks</a>
        </div>
        <div class="main">
            <h1>Students</h1>
            <button id="add-button" onclick="addStudentClick()"><i class="bi bi-plus-square" style="font-size: 1.5em;"></i></button>
            <table id="students-table">
                <tr>
                    <td>
                        <input type="checkbox" onchange="checkAll(this)">
                    </td>
                    <td>
                        <h5>Group</h5>
                    </td>
                    <td>
                        <h5>Name</h5>
                    </td>
                    <td>
                        <h5>Gender</h5>
                    </td>
                    <td>
                        <h5>Birthday</h5>
                    </td>
                    <td>
                        <h5>Status</h5>
                    </td>
                    <td>
                        <h5>Options</h5>
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="checkbox">
                    </td>
                    <td>
                        <h5>KN-21</h5>
                    </td>
                    <td>
                        <h5>John Smith</h5>
                    </td>
                    <td>
                        <h5>M</h5>
                    </td>
                    <td>
                        <h5>11.05.2004</h5>
                    </td>
                    <td>
                        <span class="status-online" ondblclick="changeStatus(this)"></span>
                    </td>
                    <td>
                        <button class="options-button"><i class="bi bi-pencil-square options-icon"></i></button>
                        <button class="options-button" onclick="deleteStudentClick(this)"><i class="bi bi-x-square options-icon"></i></button>
                    </td>
                </tr>
            </table>
        </div>
        <div id="add-student" class="modal">
            <div class="modal-content">
                <span class="close" onclick="addStudentCloseClick()">&times;</span>
                <h3>Add student...</h3><hr>
                <div style="text-align: center;">
                <form>
                    <label for="igroup" style="width: 150px;">Group:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                    <input type="text" id="igroup" name="igroup" style="width: 150px;"><br><br>
                    <label for="ifname" style="width: 150px;">First name:&nbsp;</label>
                    <input type="text" id="ifname" name="ifname" style="width: 150px;"><br><br>
                    <label for="ilname" style="width: 150px;">Last name:&nbsp;</label>
                    <input type="text" id="ilname" name="ilname" style="width: 150px;"><br><br>
                    <label for="igender" style="width: 150px;">Gender:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                    <select id="igender" name="igender" style="width: 150px;">
                        <option value="M">Male</option>
                        <option value="F">Female</option>
                    </select><br><br>
                    <label for="ibirthdate" style="width: 150px;">Birthdate:&nbsp;&nbsp;&nbsp;</label>
                    <input type="date" id="ibirthdate" name="ibirthdate" style="width: 150px;"><br>
                </form>
                </div>
                <hr>
                <div style="float: right; text-align: right;">
                    <button class="form-button" onclick="addStudentOKClick()">OK</button>
                    <button class="form-button" onclick="addStudentCloseClick()">Cancel</button>
                </div>
            </div>
        </div>
        <div id="delete-student" class="modal">
            <div class="modal-content">
                <span class="close" onclick="deleteStudentCloseClick()">&times;</span>
                <h3>Delete student?</h3>
                <hr>
                <div style="float: right; text-align: right;">
                    <button class="form-button" onclick="deleteStudentOKClick()">OK</button>
                    <button class="form-button" onclick="deleteStudentCloseClick()">Cancel</button>
                </div>
            </div>
        </div>
        <script src="students.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
    </body>
</html>